/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.log;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 查询接口--数据传输对象：
*
* createdate:  2021-12-06 14:56:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "")
public class CpLogQueryDto implements Serializable
{
  // TODO 请完成查询接口的查询条件
    /**
     * 日志id<br>
     */
    @ApiModelProperty("日志id")
    @Size(max = 32, message="日志id-logId: 数据长度不能 > 32" )
    private String logId;
    /**
    /**
     * 日志类型（1-新增 2-修改 3-删除）<br>
     */
    @ApiModelProperty("日志类型（1-新增 2-修改 3-删除）")
    private String type;
    /**
     * 所属功能<br>
     */
    @ApiModelProperty("所属功能")
    private String module;
    /**
     * 姓名<br>
     */
    @ApiModelProperty("姓名")
    private String username;
    /**
     * 账号<br>
     */
    @ApiModelProperty("账号")
    private String loginNo;

    /**
     * 日志内容<br>
     */
    @ApiModelProperty("日志内容")
    @Size(max = 1000, message="日志内容-content: 数据长度不能 > 1000" )
    private String content;

    /**
     * 请求地址<br>
     */
    @ApiModelProperty("请求地址")
    @Size(max = 100, message="请求地址-remoteAddr: 数据长度不能 > 100" )
    private String remoteAddr;

    @ApiModelProperty("排序字段")
    private String orderBy;

    /**
     * 逻辑删除<br>
     */
    @ApiModelProperty("逻辑删除")
    private Boolean deleted;

    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    private List<String> ids;

    //开始时间
    @JsonFormat(pattern = "yyyy-MM-dd" ,timezone = "GMT+8")
    private Date beginTime;

    //结束时间
    @JsonFormat(pattern = "yyyy-MM-dd" ,timezone = "GMT+8")
    private Date endTime;

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getRemoteAddr() {
        return remoteAddr;
    }

    public void setRemoteAddr(String remoteAddr) {
        this.remoteAddr = remoteAddr;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}